﻿@using SaintGobin.Common;
@model IEnumerable<Contact>

@{
    ViewBag.Title = "GetConactInformation";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <!-- META SECTION -->
    <title>Atlant - Responsive Bootstrap Admin Template</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div class="page-container">
        <div class="page-content">
            <ul class="breadcrumb">
                <li><a href="@Url.Action("Index", "Home")">Home</a></li>
                <li><a href="@Url.Action("User", "Contacts")">User List</a></li>
                <li class="active">Contact List</li>
            </ul>
            <!-- END BREADCRUMB -->
            <!-- PAGE TITLE -->
            <div class="page-title">
                @*<h2 style="padding: 0px 0px 0px 15px;">
                        <span class="fa fa-users"></span> Contact List

                    </h2>*@
                <h2 style="padding: 0px 0px 0px 15px;">
                    <span class="fa fa-users"></span> Contact List &nbsp;<a href="@Url.Action("AddContact", "Contacts")" class="btn btn-default btn-circle">
                        <i style="margin-right:-1px " class="glyphicon glyphicon-plus"></i>
                    </a>

                </h2>
            </div>
            <!-- END PAGE TITLE -->
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">
                <div class="box box-info">
                    <div class="panel panel-default">
                        <div class="panel-heading" style="padding:1px 15px; ">
                            <div>
                            </div>
                            <div id="contact-lists">
                                <ul style="list-style: none;margin:0 0 10px 0px; " class="list-group" id="itemContainer">
                                    <li class="list-group-item">
                                        <table class="display" id="example" cellspacing="0">
                                            <thead>
                                                <tr>
                                                    <th>Contact</th>
                                                    @*<th></th>*@
                                                    <th style="display:none"></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var item in Model)
                                                {
                                                    if (Model != null)
                                                    {
                                                        <tr class="col-md-6">
                                                            @if (item.IsDeleteRequest == true)
                                                            {
                                                                <td style="width:50%; ">
                                                                    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
                                                                    <div class="" style="width:471px;min-height:175px;background-color: rgb(255, 255, 255);
                                                                                    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 1px;
                                                                                    margin-bottom: 10px;
                                                                                    border-width: 1px;
                                                                                    border-style: solid;
                                                                                    border-color:red;
                                                                                    border-image: initial;
                                                                                 border-radius: 4px;">
                                                                        <div class="p-t-10" style="padding:10px;">
                                                                            <div class="media-main">
                                                                                <a class="pull-left" href="#">
                                                                                </a>
                                                                                <div class="pull-right btn-group-sm">
                                                                                    <a href="@Url.Action("EditContact", "Contacts", new { id = item.GUID })" class="btn btn-success tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Edit">
                                                                                        <i class="fa fa-pencil"></i>
                                                                                    </a>
                                                                                    <a href="#" onclick="deletevcf(@item.GUID) " class="btn btn-danger tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete">
                                                                                        <i class="fa fa-close"></i>
                                                                                    </a>
                                                                                </div>
                                                                                <div class="info">
                                                                                    <article>
                                                                                        <span class="name">@item.prefix &nbsp;@item.firstname&nbsp;@item.middlename &nbsp;@item.lastname&nbsp;@item.sufix</span><br />
                                                                                        @if (item.Contactnoslist.Count != 0)
                                                                                        {
                                                                                            <p>Contact:</p>
                                                                                            foreach (var add in item.Contactnoslist)
                                                                                            {
                                                                                                <p>@add.type_name:@add.number</p>
                                                                                            }
                                                                                        }

                                                                                        @if (item.Emailslist.Count != 0)
                                                                                        {
                                                                                            <p>Email:</p>
                                                                                            foreach (var add in item.Emailslist)
                                                                                            {
                                                                                                <p>@add.type_name : @add.email</p>
                                                                                            }
                                                                                        }
                                                                                        @if (item.jobtitle != null && item.jobtitle != "")
                                                                                        {
                                                                                            <p>Job Title : @item.jobtitle</p>
                                                                                        }
                                                                                        @if (item.company != null && item.company != "")
                                                                                        {
                                                                                            <p>Organisation : @item.company</p>
                                                                                        }
                                                                                        @if (item.Adresslist.Count != 0)
                                                                                        {
                                                                                            <p>Address :</p>
                                                                                            foreach (var add in item.Adresslist)
                                                                                            {
                                                                                                <p>
                                                                                                    @add.type_name
                                                                                                    @add.street1,
                                                                                                    @add.street2,
                                                                                                    @add.zipcode,
                                                                                                    @add.city,
                                                                                                    @add.state,
                                                                                                    @add.country
                                                                                                </p>
                                                                                            }
                                                                                        }
                                                                                        @if (item.websiteslist.Count != 0)
                                                                                        {
                                                                                            <p>Website :</p>
                                                                                            foreach (var website in item.websiteslist)
                                                                                            {
                                                                                                <p>
                                                                                                    @website.URLs

                                                                                                </p>
                                                                                            }
                                                                                        }
                                                                                    </article>
                                                                                </div>
                                                                            </div>
                                                                            <div class="clearfix"></div>
                                                                            <hr>

                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            }
                                                            else
                                                            {
                                                                <td style="width:50%">
                                                                    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
                                                                    <div class="" style="width:471px;min-height:175px;background-color: rgb(255, 255, 255);
                                                                                    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 1px;
                                                                                    margin-bottom: 10px;
                                                                                    border-width: 1px;
                                                                                    border-style: solid;
                                                                                     border-color:#0cc50c;
                                                                                    border-image: initial;
                                                                                 border-radius: 4px;">
                                                                        <div class="p-t-10" style="padding:10px;">
                                                                            <div class="media-main">
                                                                                <a class="pull-left" href="#">
                                                                                </a>
                                                                                <div class="pull-right btn-group-sm">
                                                                                    <a href="@Url.Action("EditContact", "Contacts", new { id = item.GUID })" class="btn btn-success tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Edit">
                                                                                        <i class="fa fa-pencil"></i>
                                                                                    </a>
                                                                                    <a href="#" onclick="deletevcf(@item.GUID) " class="btn btn-danger tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete">
                                                                                        <i class="fa fa-close"></i>
                                                                                    </a>
                                                                                </div>
                                                                                <div class="info">
                                                                                    <article>
                                                                                        <span class="name">@item.prefix &nbsp;@item.firstname&nbsp;@item.middlename &nbsp;@item.lastname&nbsp;@item.sufix</span><br />
                                                                                        @if (item.Contactnoslist.Count != 0)
                                                                                        {
                                                                                            <p>Contact:</p>
                                                                                            foreach (var add in item.Contactnoslist)
                                                                                            {
                                                                                                <p>@add.type_name:@add.number</p>
                                                                                            }
                                                                                        }

                                                                                        @if (item.Emailslist.Count != 0)
                                                                                        {
                                                                                            <p>Email:</p>
                                                                                            foreach (var add in item.Emailslist)
                                                                                            {
                                                                                                <p>@add.type_name : @add.email</p>
                                                                                            }
                                                                                        }
                                                                                        @if (item.jobtitle != null && item.jobtitle != "")
                                                                                        {
                                                                                            <p>Job Title : @item.jobtitle</p>
                                                                                        }
                                                                                        @if (item.company != null && item.company != "")
                                                                                        {
                                                                                            <p>Organisation : @item.company</p>
                                                                                        }
                                                                                        @if (item.Adresslist.Count != 0)
                                                                                        {
                                                                                            <p>Address :</p>
                                                                                            foreach (var add in item.Adresslist)
                                                                                            {
                                                                                                <p>
                                                                                                    @add.type_name
                                                                                                    @add.street1,
                                                                                                    @add.street2,
                                                                                                    @add.zipcode,
                                                                                                    @add.city,
                                                                                                    @add.state,
                                                                                                    @add.country
                                                                                                </p>
                                                                                            }
                                                                                        }
                                                                                        @if (item.websiteslist.Count != 0)
                                                                                        {
                                                                                            <p>Website :</p>
                                                                                            foreach (var website in item.websiteslist)
                                                                                            {
                                                                                                <p>
                                                                                                    @website.URLs

                                                                                                </p>
                                                                                            }
                                                                                        }
                                                                                    </article>
                                                                                </div>
                                                                            </div>
                                                                            <div class="clearfix"></div>
                                                                            <hr>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            }
                                                            <td style="display:none">@item.IsDeleteRequest.ToString()</td>
                                                        </tr>
                                                    }
                                                }
                                            </tbody>
                                        </table>
                                        <div class="clearfix"></div>
                                    </li>
                                </ul>
                                <div class="holde
                                     r">
                                </div>
                                <p id="legend1">
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END PAGE CONTENT WRAPPER -->
        </div>
</body>

</html>
@section scripts{
    <link href="~/Content/bootstrap-combined.min.css" rel="stylesheet" />

    <script src="~/Scripts/Lib/readmore.js"></script>
    <link href="~/Content/custom.css" rel="stylesheet" />
    <script src="@Url.Content("~/Scripts/Lib/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/Scripts/Lib/dataTables.select.min.js")"></script>

    <script>
        function GetDetails(x) {
            location.href = '@Url.Action("GetContactOnUser", "Contacts")?user_id=' + parseInt(x);
        }



        //$('#search').keyup(function () {
        //    var valThis = $(this).val().toLowerCase();

        //    if (valThis == "") {
        //        $('.list-group  > li').show();
        //    }
        //    else {
        //        $('.list-group > li').each(function () {
        //            var text = $(this).text().toLowerCase();
        //            (text.indexOf(valThis) >= 0) ? $(this).show() : $(this).hide();
        //        });
        //    };
        //});

        $(function () {


            $('article').readmore({ speed: 500 });//Read More Option



            /* BOOTSNIPP FULLSCREEN FIX */
            if (window.location == window.parent.location) {
                $('#back-to-bootsnipp').removeClass('hide');
            }

            $('[data-toggle="tooltip"]').tooltip();

            $('#fullscreen').on('click', function (event) {
                event.preventDefault();
                window.parent.location = "http://bootsnipp.com/iframe/4l0k2";
            });
            $('a[href="#cant-do-all-the-work-for-you"]').on('click', function (event) {
                event.preventDefault();
                $('#cant-do-all-the-work-for-you').modal('show');
            })

        });


        //$("#ckbCheckAll").click(function () {
        //    $(".checkBoxClass").prop('checked', $(this).prop('checked'));// Select All checkbox
        //});
        $(document).ready(function () {
            var oTable = $('#example').DataTable({
                "iDisplayLength": 25, //Add Defa
                //"dom": '<"top"lfi<"clear">>rt<"bottom"p<"clear">>'
            });//Initiate DataTable
        });
    </script>
}



